Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Class X11.XWindowAttributes

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XWindowAttributes

Enclosing interface:
  X11

    public static class X11.XWindowAttributes

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.NativeLong` | `all_event_masks`
`com.sun.jna.NativeLong` | `backing_pixel`
`com.sun.jna.NativeLong` | `backing_planes`
`int` | `backing_store`
`int` | `bit_gravity`
`int` | `border_width`
`int` | `c_class`
`X11.Colormap` | `colormap`
`int` | `depth`
`com.sun.jna.NativeLong` | `do_not_propagate_mask`
`int` | `height`
`boolean` | `map_installed`
`int` | `map_state`
`boolean` | `override_redirect`
`X11.Window` | `root`
`boolean` | `save_under`
`X11.Screen` | `screen`
`X11.Visual` | `visual`
`int` | `width`
`int` | `win_gravity`
`int` | `x`
`int` | `y`
`com.sun.jna.NativeLong` | `your_event_mask`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XWindowAttributes()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

### y

    public int y

### width

    public int width

### height

    public int height

### border_width

    public int border_width

### depth

    public int depth

### visual

    public X11.Visual visual

### root

    public X11.Window root

### c_class

    public int c_class

### bit_gravity

    public int bit_gravity

### win_gravity

    public int win_gravity

### backing_store

    public int backing_store

### backing_planes

    public com.sun.jna.NativeLong backing_planes

### backing_pixel

    public com.sun.jna.NativeLong backing_pixel

### save_under

    public boolean save_under

### colormap

    public X11.Colormap colormap

### map_installed

    public boolean map_installed

### map_state

    public int map_state

### all_event_masks

    public com.sun.jna.NativeLong all_event_masks

### your_event_mask

    public com.sun.jna.NativeLong your_event_mask

### do_not_propagate_mask

    public com.sun.jna.NativeLong do_not_propagate_mask

### override_redirect

    public boolean override_redirect

### screen

    public X11.Screen screen

Constructor Detail

### X11.XWindowAttributes

    public X11.XWindowAttributes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD